package tech.nevets.jaml;

import com.google.gson.*;

import java.io.*;
import java.nio.file.Path;

public class Profiles {
    private static final Path profilePath = Path.of(JAML.path + "\\profiles\\");

    public static void createProfile(Profile profile) throws IOException {
        String profileName = profile.getProfileName();
        Writer writer = new FileWriter(profilePath + "\\" + profileName + ".json");

        GsonBuilder builder = new GsonBuilder();
        builder.setPrettyPrinting();
        Gson gson = builder.create();
        String jsonString = gson.toJson(profile);
        writer.write(jsonString);
        writer.close();
    }

    public Profile loadProfile(String profileName) throws FileNotFoundException {
        BufferedReader reader = new BufferedReader(new FileReader(profilePath + "\\" + profileName + ".json"));
        Profile profile = new Gson().fromJson(reader, Profile.class);

        return profile;
    }
}
